<?php
include_once "conn.php";
include_once "funciones.php";

//Select data from database
error_reporting(E_ALL & ~E_NOTICE & ~E_WARNING);

session_start();
$_SESSION['database'] = $_POST['database'];
$_SESSION['sql'] = $_POST['sql'];
$_SESSION['key'] = $_POST['key'];

$montoesql = $_SESSION['sql'];
$montoesql = str_replace("$$", "%", $montoesql);

if (permitesql($montoesql) == 'true') {
    $sete = $connection->query("SET CHARACTER SET utf8");
    $sete = $connection->query("use " . $_SESSION['database']);
    $qur = $connection->query($montoesql);
    $jsonData[] = "";
    while ($r = mysqli_fetch_assoc($qur)) {
        $jsonData[] = $r;
    }

    $json = $jsonData;
    header('content-type: application/json');
    echo json_encode($json, JSON_UNESCAPED_UNICODE);
}

function permitesql($cadena_de_texto)
{
    $cadena_de_texto = strtolower($cadena_de_texto);

    $pos1 = strpos($cadena_de_texto, 'create');
    $pos2 = strpos($cadena_de_texto, 'update');

    $pos3 = strpos($cadena_de_texto, 'truncate');
    $pos4 = strpos($cadena_de_texto, 'drop');

    $pos5 = strpos($cadena_de_texto, 'alter');
    $pos6 = strpos($cadena_de_texto, 'delete');
    $pos7 = strpos($cadena_de_texto, 'insert');
    if ($pos1 === false && $pos2 === false && $pos3 === false && $pos4 === false && $pos5 === false && $pos6 === false && $pos7 === false) {
        //      echo 'no encontro';
        $valor_devuelto = 'true';
        return $valor_devuelto;
    } else {
        echo ' No se puede ejecutar el sql';
        $valor_devuelto = 'false';
        return $valor_devuelto;
    }
    return $valor_devuelto;
}
@mysqli_close($connection);
?>
